<?php 
/*
*Template Name:  Page Leftbar
*/
?>
<?php get_header(); ?>
		<!-- page-banner-section 
			================================================== -->
		<section class="page-banner-section">
			<div class="container">
				<div class="row">
					<div class="col-md-6">
						<h2><?php single_post_title(); ?></h2>
					</div>
					<div class="col-md-6">
						<?php housebuild_breadcrumb(); ?>
					</div>
				</div>
			</div>
		</section>
		<!-- End page-banner section -->

		<!-- services-page section 
			================================================== -->
		<section class="services-page-section">
			<div class="container">
				<div class="row">
					<div class="col-md-3">
						
						<div class="side-navigation">
							<?php 
								if(is_active_sidebar('leftbar')){
									dynamic_sidebar('leftbar');
								}
							?>
						</div>
					</div>
					<div class="col-md-9">
						<div class="services-wrapp">
							<?php 
								while(have_posts()) : the_post(); 
									the_content();
								endwhile;
							?>
						</div>
					</div>
				</div>
			</div>
		</section>
		<!-- End services-page section -->
<?php get_footer(); ?>