<?php
// Title
if(function_exists('vc_map')){

vc_map( array(
   "name" => __("QK Section Title","element"),
   "base" => "qk_title",
   "class" => "",
   "category" => __("Content", "element"),
   "icon" => "icon-qk",
   "params" => array(
	 
      
	   array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Title","element"),
         "param_name" => "title",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textarea",
         "holder" => "div",
         "class" => "",
         "heading" => __("Intro Title","element"),
         "param_name" => "subtitle",
         "value" =>'',
         "description" => ''
      )
   )
) );

}
class WPBakeryShortCode_qk_title extends WPBakeryShortCode {
}

//Service

if(function_exists('vc_map')){

vc_map( array(
   "name" => __("QK Service","element"),
   "base" => "qk_service",
   "class" => "",
   "category" => __("Content", "element"),
   "icon" => "icon-qk",
   "params" => array(
	 
	   array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Title","element"),
         "param_name" => "title",
         "value" => "",
         "description" => ''
      ),
	  
     array(
         "type"      => "attach_image",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Service Image", 'element'),
         "param_name"=> "image",
         "value"     => "",
         "description" => __("Upload Image", 'element')
      ),
	  array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Custom Link","element"),
         "param_name" => "link",
         "value" => "#",
         "description" => ''
      ),
	  array(
         "type" => "textarea_html",
         "holder" => "div",
         "class" => "",
         "heading" => __("Content ","element"),
         "param_name" => "content",
         "value" => '',
         "description" => ''
      ),
   )
) );

}
class WPBakeryShortCode_qk_service extends WPBakeryShortCode {
}


// Team


if(function_exists('vc_map')){

vc_map( array(
   "name" => __("QK Team","element"),
   "base" => "qk_team",
   "class" => "",
   "category" => __("Content", "element"),
   "icon" => "icon-qk",
   "params" => array(
	 
      
	   array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Name","element"),
         "param_name" => "name",
         "value" => "John Doe",
         "description" => ''
      ),
	  
     array(
         "type"      => "attach_image",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Avatar", 'element'),
         "param_name"=> "image",
         "value"     => "",
         "description" => __("UploadIcon", 'element')
      ),
	  array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Job","element"),
         "param_name" => "job",
         "value" => "Company Menager",
         "description" => ''
      ),
	  array(
         "type" => "textarea",
         "holder" => "div",
         "class" => "",
         "heading" => __("Content ","element"),
         "param_name" => "content",
         "value" => '',
         "description" => ''
      ),
	  
   )
) );

}
class WPBakeryShortCode_qk_team extends WPBakeryShortCode {
}


// Team


if(function_exists('vc_map')){

vc_map( array(
   "name" => __("QK Service Offer","element"),
   "base" => "qk_service_offrer",
   "class" => "",
   "category" => __("Content", "element"),
   "icon" => "icon-qk",
   "params" => array(
	 
      
	   array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Title","element"),
         "param_name" => "title",
         "value" => "",
         "description" => ''
      ),
	  
     array(
         "type"      => "attach_image",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Service Image", 'element'),
         "param_name"=> "image",
         "value"     => "",
         "description" => __("Upload Image", 'element')
      ),
	  array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Custom Link","element"),
         "param_name" => "link",
         "value" => "#",
         "description" => ''
      ),
	  array(
         "type" => "textarea_raw_html",
         "holder" => "div",
         "class" => "",
         "heading" => __("Content ","element"),
         "param_name" => "content",
         "value" => '',
         "description" => ''
      ),
	   
   )
) );

}
class WPBakeryShortCode_qk_service_offrer extends WPBakeryShortCode {
}


// Portfolio


if(function_exists('vc_map')){

vc_map( array(
   "name" => __("QK Projects","unique"),
   "base" => "qk_portfolio",
   "class" => "",
   "category" => __("Content", "unique"),
   "icon" => "icon-qk",
   "params" => array(
	 
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Title","unique"),
         "param_name" => "title",
         "value" => "",
         "description" => ''
      ),
	   array(
         "type" => "textarea",
         "holder" => "div",
         "class" => "",
         "heading" => __("Subtitle","unique"),
         "param_name" => "subtitle",
         "value" => "",
         "description" => ''
      ),
	   array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Order","unique"),
         "param_name" => "order",
         "value" => "8",
         "description" => ''
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("On/Off Filter","unique"),
         "param_name" => "filter",
         "value" => "on",
         "description" => '"on" or "off"'
      ),
   )
) );

}
class WPBakeryShortCode_qk_portfolio extends WPBakeryShortCode {
}


// Portfolio


if(function_exists('vc_map')){

vc_map( array(
   "name" => __("QK News","unique"),
   "base" => "qk_news",
   "class" => "",
   "category" => __("Content", "unique"),
   "icon" => "icon-qk",
   "params" => array(
	 
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Title","unique"),
         "param_name" => "title",
         "value" => "",
         "description" => ''
      ),
	   array(
         "type" => "textarea",
         "holder" => "div",
         "class" => "",
         "heading" => __("Subtitle","unique"),
         "param_name" => "subtitle",
         "value" => "",
         "description" => ''
      ),
	   array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Order","unique"),
         "param_name" => "order",
         "value" => "4",
         "description" => ''
      )
   )
) );

}
class WPBakeryShortCode_qk_news extends WPBakeryShortCode {
}
// Team


if(function_exists('vc_map')){

vc_map( array(
   "name" => __("QK Gmap","element"),
   "base" => "qk_gmap",
   "class" => "",
   "category" => __("Content", "element"),
   "icon" => "icon-qk",
   "params" => array(
	 
      
	  array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Latitude","element"),
         "param_name" => "lat",
         "value" => "-33.880641",
         "description" => ''
      ),
	  array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Longitude","element"),
         "param_name" => "lon",
         "value" => "151.204298",
         "description" => ''
      ),
	  array(
         "type" => "dropdown",
		  "heading" => __('Map Type', 'wpb'),
		  "param_name" => "type",
		  "value" => array(   
							__('Street View', 'wpb') => 'street',  
							__('Default', 'wpb') => 'default',                                                                                
						  ),
		  "description" => '',
      ),
	 
   )
) );

}
class WPBakeryShortCode_qk_gmap extends WPBakeryShortCode {
}


vc_map( array(
    "name" => __("QK Testimonials", "my-text-domain"),
    "base" => "qk_testimonials",
    "as_parent" => array('only' => 'qk_testimonial'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_unique" => true,
    "show_settings_on_create" => false,
    "params" => array(
        // add params same as with any other content unique
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "my-text-domain"),
            "param_name" => "el_class",
            "description" => __("If you wish to style particular content unique differently, then use this field to add a class name and then refer to it in your css file.", "my-text-domain")
        )
    ),
    "js_view" => 'VcColumnView'
) );

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_qk_testimonials extends WPBakeryShortCodesContainer {
    }
}

if(function_exists('vc_map')){

vc_map( array(
   "name" => __("QK Testimonial","unique"),
   "base" => "qk_testimonial",
   "class" => "",
   "category" => __("Content", "unique"),
   "icon" => "icon-qk",
   "content_unique" => true,
   "as_child" => array('only' => 'qk_testimonials'),
   "params" => array(
	 
      
	   array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Name","unique"),
         "param_name" => "name",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textarea_raw_html",
         "holder" => "div",
         "class" => "",
         "heading" => __("Content","unique"),
         "param_name" => "content",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Job","unique"),
         "param_name" => "job",
         "value" => "",
         "description" => ''
      )
   )
) );

}
class WPBakeryShortCode_qk_testimonial extends WPBakeryShortCode {
}

//Clients
vc_map( array(
    "name" => __("QK Clients", "my-text-domain"),
    "base" => "qk_clients",
    "as_parent" => array('only' => 'qk_client'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_unique" => true,
    "show_settings_on_create" => false,
    "params" => array(
        // add params same as with any other content unique
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "my-text-domain"),
            "param_name" => "el_class",
            "description" => __("If you wish to style particular content unique differently, then use this field to add a class name and then refer to it in your css file.", "my-text-domain")
        )
    ),
    "js_view" => 'VcColumnView'
) );

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_qk_clients extends WPBakeryShortCodesContainer {
    }
}

if(function_exists('vc_map')){

vc_map( array(
   "name" => __("QK Client","unique"),
   "base" => "qk_client",
   "class" => "",
   "category" => __("Content", "unique"),
   "icon" => "icon-qk",
   "content_unique" => true,
   "as_child" => array('only' => 'qk_clients'),
   "params" => array(
	 
      
	   array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => __("Logo","unique"),
         "param_name" => "image",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Custom Link","unique"),
         "param_name" => "link",
         "value" => "#",
         "description" => ''
      )
   )
) );

}
class WPBakeryShortCode_qk_client extends WPBakeryShortCode {
}


//QK Flexslider
vc_map( array(
    "name" => __("QK Flexslider", "my-text-domain"),
    "base" => "qk_flexslider",
    "as_parent" => array('only' => 'qk_slide'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_unique" => true,
    "show_settings_on_create" => false,
    "params" => array(
        // add params same as with any other content unique
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "my-text-domain"),
            "param_name" => "el_class",
            "description" => __("If you wish to style particular content unique differently, then use this field to add a class name and then refer to it in your css file.", "my-text-domain")
        )
    ),
    "js_view" => 'VcColumnView'
) );

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_qk_flexslider extends WPBakeryShortCodesContainer {
    }
}

if(function_exists('vc_map')){

vc_map( array(
   "name" => __("QK Slide","unique"),
   "base" => "qk_slide",
   "class" => "",
   "category" => __("Content", "unique"),
   "icon" => "icon-qk",
   "content_unique" => true,
   "as_child" => array('only' => 'qk_clients'),
   "params" => array(
	 
      
	   array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => __("Slide background","unique"),
         "param_name" => "image",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textarea_html",
         "holder" => "div",
         "class" => "",
         "heading" => __("Content","unique"),
         "param_name" => "content",
         "value" => "",
         "description" => ''
      )
   )
) );

}
class WPBakeryShortCode_qk_slide extends WPBakeryShortCode {
}