<?php get_header(); ?>

		<!-- page-banner-section 
			================================================== -->
		<section class="page-banner-section">
			<div class="container">
				<div class="row">
					<div class="col-md-6">
						<h2><?php single_post_title(); ?></h2>
					</div>
					<div class="col-md-6">
						<?php housebuild_breadcrumb(); ?>
					</div>
				</div>
			</div>
		</section>
		<!-- End page-banner section -->

		<!-- blog section 
			================================================== -->
		<section class="blog-section">
			<div class="container">
				<div class="row">
					<div class="col-md-8">
						<div class="blog-box">
						<?php while(have_posts()) : the_post(); ?>
							<div class="blog-post single-post">
								
								<div class="post-content-text">
									<h1><?php the_title(); ?></h1>
									<?php the_content(); ?>
									<?php
										$defaults = array(
											'before'           => '<div id="page-links"><strong>Page: </strong>',
											'after'            => '</div>',
											'link_before'      => '<span>',
											'link_after'       => '</span>',
											'next_or_number'   => 'number',
											'separator'        => ' ',
											'nextpagelink'     => __( 'Next page','bousebuild' ),
											'previouspagelink' => __( 'Previous page','bousebuild' ),
											'pagelink'         => '%',
											'echo'             => 1
										);
									 ?>
									<?php wp_link_pages($defaults); ?>
									<?php if(has_tag()){ ?>
										<?php the_tags('<ul class="single-post-tags"><li><span>Tags: </span> </li><li>',' </li>, <li>','</li></ul>'); ?>
									<?php } ?>						
								</div>
							</div>
							
						<?php endwhile; ?>
						</div>
						
					</div>
					<div class="col-md-4">
						<?php get_sidebar(); ?>
					</div>
				</div>
			</div>
		</section>
		<!-- End blog section -->
<?php get_footer(); ?>